> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

> Get a QR code for establishing out-of-band communication via the Hanko Authenticator.

# Get the QR code for a given Hanko Authenticator request



## OpenAPI

````yaml openapi-authenticator get /v1/uaf/requests/{id}/qrcode
openapi: 3.0.0
info:
  contact:
    name: Support
    url: https://hanko.io
    email: info@hanko.io
  description: >
    With Hanko you are able to offer your users the security and convenience of

    password-less authentication. Get your website or app ready for a future

    without passwords. Head over to our website at [hanko.io](https://hanko.io)
    to

    learn more about the service or read our
    [documentation](https://docs.hanko.io).
  title: Hanko Service API
  version: 1.0.0
servers:
  - url: https://api.hanko.io
    description: Production environment
security:
  - ApiKeyAuth: []
tags:
  - name: routes
  - name: Hello Hanko
    description: Learn how to use this REST API
  - name: Web Authentication
    description: Authentication via W3C WebAuthentication
    externalDocs:
      url: https://hanko.io
  - name: Hanko Authenticator
    description: >-
      Authentication with the Hanko Authenticator and FIDO UAF (out-of-band
      style)
    externalDocs:
      url: https://hanko.io
  - name: Device Management
    description: Manage the Devices of your users
    externalDocs:
      url: https://hanko.io
externalDocs:
  description: Visit our documentation to learn more about the Hanko service and its APIs
  url: https://docs.hanko.io
paths:
  /v1/uaf/requests/{id}/qrcode:
    get:
      tags:
        - Hanko Authenticator
      summary: Get the QR code for a given Hanko Authenticator request
      description: >
        You need the QR code to establish the out-of-band communication via the
        Hanko Authenticator. You can provide certain query parameters to adjust
        the appearance of the generated QR code.
      operationId: getQrCode
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
        - schema:
            type: object
          in: query
          name: qrData
          required: false
        - $ref: '#/components/parameters/StringIdentifier'
        - in: query
          name: width
          schema:
            type: integer
          description: The width of the QR code
        - in: query
          name: height
          schema:
            type: integer
          description: The height of the QR code
        - in: query
          name: fg
          schema:
            type: string
          description: The foreground color of the QR code (six hex chars, without \#)
        - in: query
          name: bg
          schema:
            type: string
          description: The background color of the QR code (six hex chars, without \#)
      responses:
        '200':
          description: The QR code
          content:
            image/png:
              schema:
                type: string
                format: binary
        '401':
          $ref: '#/components/responses/Default401Error'
        '404':
          $ref: '#/components/responses/Default404Error'
        '500':
          $ref: '#/components/responses/Default500Error'
components:
  parameters:
    StringIdentifier:
      in: path
      name: id
      schema:
        type: string
      required: true
      description: General identifier used to describe a specific resource
  responses:
    Default401Error:
      description: You are not authenticated. Provide your credentials.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 401
            message: Unauthorized
    Default404Error:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 404
            messsage: Not Found.
    Default500Error:
      description: Internal Server Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 500
            message: Internal Server Error
  schemas:
    HankoError:
      type: object
      description: An error object giving details about the origin of the error
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |
        This API uses `Authorization: secret <api_key>`
        rather than the standard `Bearer` scheme.

````